summaryrefslogtreecommitdiff
path: root/platform/ios/scripts/document.sh
diff options
context:
space:
mode:
authorMinh Nguyễn <mxn@1ec5.org>2016-01-22 11:57:58 -0800
committerMinh Nguyễn <mxn@1ec5.org>2016-01-22 14:45:58 -0800
commit83deed6a8873dca5163dfe8557a36b8289a2c6e5 (patch)
tree78742839b1401c9b965a11022308564fa5f94f8d /platform/ios/scripts/document.sh
parent5d516c36034a5f18f91c1377a1cd49a3f532b204 (diff)
downloadqtlocation-mapboxgl-83deed6a8873dca5163dfe8557a36b8289a2c6e5.tar.gz
[ios] make idocument
Split API documentation generation into a separate make target that can be run independently of building the SDK.
Diffstat (limited to 'platform/ios/scripts/document.sh')
-rwxr-xr-xplatform/ios/scripts/document.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/platform/ios/scripts/document.sh b/platform/ios/scripts/document.sh
new file mode 100755
index 0000000000..b865b33f3c
--- /dev/null
+++ b/platform/ios/scripts/document.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+set -u
+
+if [ -z `which jazzy` ]; then
+ step "Installing jazzy…"
+ gem install jazzy
+ if [ -z `which jazzy` ]; then
+ echo "Unable to install jazzy. See https://github.com/mapbox/mapbox-gl-native/blob/master/platform/ios/INSTALL.md"
+ exit 1
+ fi
+fi
+
+OUTPUT=${OUTPUT:-documentation}
+README=${README:-README.md}
+
+BRANCH=$( git describe --tags --match=ios-v*.*.* --abbrev=0 )
+SHORT_VERSION=$( echo ${BRANCH} | sed 's/^ios-v//' )
+RELEASE_VERSION=$( echo ${SHORT_VERSION} | sed -e 's/^ios-v//' -e 's/-.*//' )
+
+jazzy \
+ --sdk iphonesimulator \
+ --github-file-prefix https://github.com/mapbox/mapbox-gl-native/tree/${BRANCH} \
+ --module-version ${SHORT_VERSION} \
+ --readme ${README} \
+ --root-url https://www.mapbox.com/ios-sdk/api/${RELEASE_VERSION}/ \
+ --output ${OUTPUT}
+# https://github.com/realm/jazzy/issues/411
+find ${OUTPUT} -name *.html -exec \
+ perl -pi -e 's/Mapbox\s+(Docs|Reference)/Mapbox iOS SDK $1/' {} \;